org.wso2.carbon.logging.admin.stub.types.axis2

## Class UpdateSystemLog

- java.lang.Object
- - org.wso2.carbon.logging.admin.stub.types.axis2.UpdateSystemLog

- All Implemented Interfaces:
    Serializable, org.apache.axis2.databinding.ADBBean

      public class UpdateSystemLog
      extends Object
      implements org.apache.axis2.databinding.ADBBean

  UpdateSystemLog bean class
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `UpdateSystemLog.Factory` Factory class that keeps the parse method

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `localLogLevel` field for LogLevel
    `protected boolean` | `localLogLevelTracker`
    `protected String` | `localLogPattern` field for LogPattern
    `protected boolean` | `localLogPatternTracker`
    `protected boolean` | `localPersist` field for Persist
    `protected boolean` | `localPersistTracker`
    `static QName` | `MY_QNAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateSystemLog()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLogLevel()` Auto generated getter method
    `String` | `getLogPattern()` Auto generated getter method
    `org.apache.axiom.om.OMElement` | `getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory)`
    `boolean` | `getPersist()` Auto generated getter method
    `XMLStreamReader` | `getPullParser(QName qName)` databinding method to get an XML representation of this object
    `boolean` | `isLogLevelSpecified()`
    `boolean` | `isLogPatternSpecified()`
    `boolean` | `isPersistSpecified()`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter)`
    `void` | `serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)`
    `void` | `setLogLevel(String param)` Auto generated setter method
    `void` | `setLogPattern(String param)` Auto generated setter method
    `void` | `setPersist(boolean param)` Auto generated setter method

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MY_QNAME

          public static final QName MY_QNAME

    - #### localLogLevel

          protected String localLogLevel

      field for LogLevel

    - #### localLogLevelTracker

          protected boolean localLogLevelTracker

    - #### localLogPattern

          protected String localLogPattern

      field for LogPattern

    - #### localLogPatternTracker

          protected boolean localLogPatternTracker

    - #### localPersist

          protected boolean localPersist

      field for Persist

    - #### localPersistTracker

          protected boolean localPersistTracker

  - ### Constructor Detail

    - #### UpdateSystemLog

          public UpdateSystemLog()

  - ### Method Detail

    - #### isLogLevelSpecified

          public boolean isLogLevelSpecified()

    - #### getLogLevel

          public String getLogLevel()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setLogLevel

          public void setLogLevel(String param)

      Auto generated setter method
      Parameters:
        `param` - LogLevel

    - #### isLogPatternSpecified

          public boolean isLogPatternSpecified()

    - #### getLogPattern

          public String getLogPattern()

      Auto generated getter method
      Returns:
        java.lang.String

    - #### setLogPattern

          public void setLogPattern(String param)

      Auto generated setter method
      Parameters:
        `param` - LogPattern

    - #### isPersistSpecified

          public boolean isPersistSpecified()

    - #### getPersist

          public boolean getPersist()

      Auto generated getter method
      Returns:
        boolean

    - #### setPersist

          public void setPersist(boolean param)

      Auto generated setter method
      Parameters:
        `param` - Persist

    - #### getOMElement

          public org.apache.axiom.om.OMElement getOMElement(QName parentQName,
                                                            org.apache.axiom.om.OMFactory factory)
                                                     throws org.apache.axis2.databinding.ADBException

      Specified by:
        `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
      Parameters:
        `parentQName` -
        `factory` -
      Returns:
        org.apache.axiom.om.OMElement
      Throws:
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### serialize

          public void serialize(QName parentQName,
                                XMLStreamWriter xmlWriter,
                                boolean serializeType)
                         throws XMLStreamException,
                                org.apache.axis2.databinding.ADBException

      Specified by:
        `serialize` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `XMLStreamException`
        `org.apache.axis2.databinding.ADBException`

    - #### getPullParser

          public XMLStreamReader getPullParser(QName qName)
                                        throws org.apache.axis2.databinding.ADBException

      databinding method to get an XML representation of this object
      Specified by:
        `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
      Throws:
        `org.apache.axis2.databinding.ADBException`

Copyright © 2017 WSO2. All rights reserved.